BASE64(1) | General Commands Manual | BASE64(1)

# NAME

`base64` —
base64 encode/decode data into the standard output

# SYNOPSIS

`base64` | [`-di`] [`-w` wrap] [file ...]

# DESCRIPTION

`base64` reads from the standard input or from each file argument, and encodes or decodes data based on the base64 scheme described in RFC 3548 into the standard output.

The following options are available:

`-d`
  Decode the input instead of encoding it.
`-i`
  Ignore non-base64 characters when decoding. (not implemented)
`-w` wrap
  Wrap lines longer than wrap characters using a newline. The default number of characters is 76. 0 disables wrapping.

# EXIT STATUS

`base64` exits with 0 if there was no error and non-zero if it could not encode or decode, printing an error message.

# HISTORY

The `base64` command first appeared on NetBSD 9.

# AUTHORS

Christos Zoulas

August 28, 2021 | NetBSD 10.1